[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

RE: [linux-lvm] LVM don't work anymore (wrong version?)



> > pvcreate -- ERROR: VGDA in kernel and lvmtab are NOT 
> consistent; please run
> > vgscan
> > What's that?
> 
> You shouldn't be able to get that message with LVM 0.9.1 beta3 at all.
> Are you by accident using an older version?

No, I'm sure it's beta3 and after beta4 (I tried it, just in case)

> If vgscan still complains and you have your 
> /etc/lvmconf/vg.conf (assuming
> that your VG is named vg :) VGDA backup file you can reactivate your
> VG with:
> 
> rm -rf /etc/lvmtab*
> mkdir /etc/lvmtab.d
> echo -ne "vg\0" > /etc/lvmtab
> cp /etc/lvmconf/vg.conf /etc/lvmtab.d/vg
> vgchange -ay

It works! Thanks.
The problem is that vgscan creates a file /etc/lvmtab without the VG name.
The file had only \0 in it!
I think that there is a bug. Would you like that I try somethng else?
I'll reboot the server this evening, so I'll have beta4 for tools AND
kernel.
Thanks for your help.
-jec




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]